import 'package:intl/intl.dart';
import 'package:persian_datetime_picker/persian_datetime_picker.dart';

extension XDateTime2 on DateTime {
  get formattedJalaliDate {
    final jalaliDate = Jalali.fromDateTime(this);
    return "${jalaliDate.year}/${jalaliDate.month.toString().padLeft(2, '0')}/${jalaliDate.day.toString().padLeft(2, '0')}";
  }

  get formattedYHMS {
    return DateFormat('yyyy-MM-dd HH:mm:ss').format(this);
  }
}
